Loading...
Searching...
No Matches
arraylike.hpp File Reference

Go to the source code of this file.

## Classes

struct | jni::IsArraylike< T >
struct | jni::IsArraylike< E[n] >
struct | jni::IsArraylike< std::array< E, n > >
struct | jni::IsArraylike< std::vector< E, A > >
struct | jni::IsArraylike< std::basic_string< C, T, A > >
struct | jni::ArraylikeElementType< E[n] >
struct | jni::ArraylikeElementType< std::array< E, n > >
struct | jni::ArraylikeElementType< std::vector< E, A > >
struct | jni::ArraylikeElementType< std::basic_string< C, T, A > >

## Namespaces

namespace | jni

## Typedefs

template<class T>
using | jni::ArraylikeElement = typename ArraylikeElementType<T>::type

## Functions

template<class E, std::size_t n>
E * | jni::ArraylikeData (E(&a)[n])
template<class E, std::size_t n>
E * | jni::ArraylikeData (std::array< E, n > &a)
template<class E, std::size_t n>
E const * | jni::ArraylikeData (const std::array< E, n > &a)
template<class E, class A>
E * | jni::ArraylikeData (std::vector< E, A > &a)
template<class E, class A>
E const * | jni::ArraylikeData (const std::vector< E, A > &a)
template<class C, class T, class A>
C * | jni::ArraylikeData (std::basic_string< C, T, A > &a)
template<class C, class T, class A>
C const * | jni::ArraylikeData (const std::basic_string< C, T, A > &a)
template<class E, std::size_t n>
std::size_t | jni::ArraylikeSize (E(&)[n])
template<class E, std::size_t n>
std::size_t | jni::ArraylikeSize (const std::array< E, n > &)
template<class E, class A>
std::size_t | jni::ArraylikeSize (const std::vector< E, A > &a)
template<class C, class T, class A>
std::size_t | jni::ArraylikeSize (const std::basic_string< C, T, A > &a)